[Debian-in-commits] [SCM] Git repository for debian-in branch, master, updated. 6f69817f4413d413c701cbf7a8f68aff28555cb8

Vasudev Kamath kamathvasudev at gmail.com
Sun Sep 30 06:37:39 UTC 2012


The following commit has been merged in the master branch:
commit 6f69817f4413d413c701cbf7a8f68aff28555cb8
Author: Vasudev Kamath <kamathvasudev at gmail.com>
Date:   Sun Sep 30 12:07:16 2012 +0530

    script to add git post-hooks but now outdated

diff --git a/attic/scripts/set-git-post-hook b/attic/scripts/set-git-post-hook
new file mode 100755
index 0000000..3aaddc6
--- /dev/null
+++ b/attic/scripts/set-git-post-hook
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# Script to setup postrecive hook
+
+set -e
+
+USAGE="\n\
+Usage: set-git-post-hook <path to git repo>\n\
+Please exclude the .git from repository name\n"
+
+if [ "$#" -ne "1" ];then
+    echo -e "${USAGE}"
+    exit 1
+fi
+
+REPO=$1
+PACKAGE=$(echo $1 | tr -d ".git" )
+cd $REPO
+git config --add hooks.mailinglist "debian-in-commits at lists.alioth.debian.org"
+git config --add hooks.cia-project "Debian-IN"
+git config --add hooks.bcc "${PACKAGE}_cvs at packages.qa.debian.org"
+cat > "hooks/post-receive" <<EOF
+#!/bin/sh
+exec /usr/local/bin/git-commit-notice
+EOF
+chmod a+x "hooks/post-receive"
\ No newline at end of file

-- 
Git repository for debian-in



More information about the Debian-in-commits mailing list